System 1.0.5000.0 2.0.0.0 4.0.0.0 System.Enum

This enumeration defines identifiers that represent types of power mode changes or events. The values of this enumeration are used by a to indicate the type of a event.

Defines identifiers for power mode events reported by the operating system.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Microsoft.Win32.PowerModes

  The operating system is about to resume from a suspended state.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Microsoft.Win32.PowerModes

  A power mode status notification event has been raised by the operating system. This might indicate a weak or charging battery, a transition between AC power and battery, or another change in the status of the system power supply.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Microsoft.Win32.PowerModes

  The operating system is about to be suspended.